/*
 * Copyright © 2026 Pierrick Caillon <pierrick.caillon+zipdirfs@megami.fr>
 */
#ifndef ZIPDIRFS_UTILITIES_FILETIME_H
#define ZIPDIRFS_UTILITIES_FILETIME_H

#include <filesystem>

namespace ZipDirFs::Utilities
{

	class FileTime
	{
		std::time_t time;
	public:
		FileTime();
		FileTime(std::filesystem::file_time_type value);
		explicit FileTime(std::time_t value);
		explicit operator std::time_t() const { return time; }
		bool operator==(const FileTime& file_time) const { return time == file_time.time; }
		bool operator!=(const FileTime& file_time) const { return time != file_time.time; }
		bool operator>(const FileTime& file_time) const { return time > file_time.time; };
		bool operator<(const FileTime& file_time) const { return time < file_time.time; };
	};

} // namespace ZipDirFs::Utilities

#endif // ZIPDIRFS_UTILITIES_FILETIME_H
